package abbot;

import java.awt.Component;

/** Indicates more than one component was found (usually where only one was
 * desired).
 */ 

public class MultipleComponentsFoundException extends ComponentSearchException {
    Component[] components;
    public MultipleComponentsFoundException(Component[] list) {
        components = list;
    }
    public MultipleComponentsFoundException(String msg, Component[] list) {
        super(msg);
        components = list;
    }
    public Component[] getComponents() { return components; }
}
