
package com.ibm.abbot.tester.swt;

import org.eclipse.swt.widgets.*;
import org.eclipse.swt.*;

public class MenuTester extends WidgetTester {
	public static final String POPUP_ROOT_FLAG = "POPUP_ROOT";
	public static final String ROOT_FLAG ="MENU_ROOT";
	
	String text;
	int style;
	
	// TODO Put methods from WidgetTester into MenuTester and add getters
	
	/* Use the Menu's parentItem to getText */
	public synchronized String getText(final Menu menu){
		text = null;
		Robot.syncExec(menu.getDisplay(),this,new Runnable(){
			public void run(){
				MenuItem parentItem = menu.getParentItem();
				if(parentItem!=null){
					text = parentItem.getText();
					style = parentItem.getStyle();
				}
			}
		});
		if(text!=null)
			return text;
		else if(style==SWT.POP_UP)
			return POPUP_ROOT_FLAG;
		else
			return ROOT_FLAG;
	}
}
