package example;

import java.awt.AWTEvent;
import java.awt.Frame;
import java.awt.Label;
import java.awt.Menu;
import java.awt.MenuBar;
import java.awt.MenuItem;

import abbot.Log;
import abbot.tester.awt.ComponentTester;

public class AWTCode {

    public static void main(String[] args) {
        args = Log.init(args);
        Frame frame = new Frame("AWT Code");
        MenuBar mb = new MenuBar() {
            protected void processEvent(AWTEvent e) {
                Log.debug("Got " + ComponentTester.toString(e));
                super.processEvent(e);
            }
        };
        Menu menu = new Menu("File") {
            protected void processEvent(AWTEvent e) {
                Log.debug("Got " + ComponentTester.toString(e));
                super.processEvent(e);
            }
        };
        MenuItem mi = new MenuItem("Open") {
            protected void processEvent(AWTEvent e) {
                Log.debug("Got " + ComponentTester.toString(e));
                super.processEvent(e);
            }
        };
        menu.add(mi);
        mb.add(menu);

        frame.setMenuBar(mb);
        frame.add(new Label("This is an AWT Frame and menu"));
        frame.show();
    }
}
