package abbot.converter;

import javax.swing.tree.TreePath;

import junit.extensions.abbot.TestHelper;
import junit.framework.TestCase;

public class TreePathConverterTest extends TestCase {
    
    private TreePathConverter converter;

    public void testConvertSingleNode() {
        String arg = "[root]";
        TreePath path = (TreePath)converter.convert(arg);
        assertEquals("Wrong path generated", arg, path.toString());
    }

    public void testConvertMultipleNodes() {
        String arg = "[root, parent, child]";
        TreePath path = (TreePath)converter.convert(arg);
        assertEquals("Wrong path generated", arg, path.toString());
    }

    protected void setUp() {
        converter = new TreePathConverter();
    }

    public TreePathConverterTest(String name) {
        super(name);
    }

    public static void main(String[] args) {
        TestHelper.runTests(args, TreePathConverterTest.class);
    }
}
