package abbot.editor;

import java.awt.Component;
import java.util.*;
import java.lang.reflect.*;
import junit.framework.TestCase;
import junit.extensions.abbot.TestHelper;

public class ComponentPropertyModelTest extends TestCase {

    public void testFilterTesterMethods() {
        ComponentPropertyModel model = new ComponentPropertyModel();
        Method[] methods = model.getPropertyMethods(Component.class, false);
        List list = Arrays.asList(methods);
        String[] filtered = { "getTag", "getTester" };
        for (int i=0;i < filtered.length;i++) {
            assertTrue(filtered[i] + " not filtered",
                       !list.contains(filtered[i]));
        }
    }

    /** Construct a test case with the given name. */
    public ComponentPropertyModelTest(String name) { super(name); }

    /** Run the default test suite. */
    public static void main(String[] args) {
        TestHelper.runTests(args, ComponentPropertyModelTest.class);
    }
}
