package com.ibm.abbot.examples;

import junit.framework.*;

import com.ibm.abbot.tester.swt.*;

import org.eclipse.swt.widgets.*;
import org.eclipse.swt.*;

public class BugTest extends TestCase {
	private WidgetTester tester;
	Thread appThread;
	Display display;
	Shell shell;
	CelsiusConverter converter;	
	
	Object objT;
	
	static int counter = 0;
		
	public BugTest(String name) { 
		super(name); 
	} 
	
	public void setUp0(){
		// wait for GUI to show 
		appThread = new Thread(){
			public void run(){
				//CelsiusConverter.main(null);
				display= new Display();
				shell = new Shell(display,SWT.SHELL_TRIM);
				shell.pack();
				shell.setText("Shell");
				shell.open();
				//converter = new CelsiusConverter(display);
				
	
				while(!shell.isDisposed()){
					if(!display.readAndDispatch())
						display.sleep();
				}							
			}
		};
		appThread.setName("AppThread"+getName());
		appThread.start();		
		

		tester = WidgetTester.getTester(Shell.class);
//		while(display==null);
//		tester.syncExec(display,new Runnable(){
//			public void run(){
//				System.out.println("Runnable ran");			
//			}
//		});
		while(shell==null);
		//DefaultWidgetFinder.getFinder().getWidgetChildren(shell,true);
		//getRootShells();
		//waitForFrameShowing("Convert Celsius to Fahrenheit");
		WidgetTester.waitForFrameShowing("Shell");
		System.out.println("Done with Setup "+counter);
	}

	
		
	public void tearDown0(){
		// close GUI after each test so that we can start afresh
		Robot.syncExec(Display.findDisplay(appThread),null,new Runnable(){
			public void run(){
				//System.out.println(Display.findDisplay(appThread).getActiveShell());
				Display.findDisplay(appThread).getActiveShell().dispose();
				//tester.actionWaitForIdle(Display.findDisplay(appThread));
				
				//converter.shell.getDisplay().dispose();	
			}
		});
		while(!Display.findDisplay(appThread).isDisposed());
		appThread.destroy();
		System.out.println("Tearing down "+counter++);
		System.out.println(appThread);
		Robot.delay(2000);
	}
	
	public void testBadInput(){
		setUp0();
		tearDown0();
	}		
	
	public void testNegativeNumberInput(){
		setUp0();
		tearDown0();		
	}



}
