
package com.ibm.abbot.examples;

import com.ibm.abbot.tester.swt.*;

import org.eclipse.swt.widgets.*;

import org.eclipse.swt.graphics.*;

public class SyncBug {
	static TableTester tester = (TableTester)WidgetTester.getTester(Table.class);
	static Display display;
	static boolean ready = false;
	static TableSample app;
	static{//setup gui w/ table to test
		Thread t = new Thread(){
			public void run(){
				display = new Display();
				app = new TableSample(display);				
			
				ready = true;
				while(!app.shell.isDisposed()){
					if(!display.readAndDispatch())
						display.sleep();			
				}
			}
		};
		t.setName("Thread for app under test");
		t.start();		
	}
	
	//static Table table = app.table;
	//static TableItem item = app.items[2];
	public static void main(String[] argv){
		while(!ready)
			try{Thread.sleep(1);}
			catch(Exception ignored){}
		
		Robot.syncExec(display,null,new Runnable(){
			public void run(){
				app.table.showItem(app.items[2]);
				Rectangle bounds = WidgetLocator.getBounds(app.table,true);	
				int col0Width = app.table.getColumn(0).getWidth();
				int itemHeight = app.table.getItemHeight();
				Point p = new Point(col0Width/2,itemHeight/2);
				TableItem itemAtPoint=null;
				while(true){
				if(p.y>bounds.y+bounds.height)
					break;
				itemAtPoint = app.table.getItem(p);		
				if(itemAtPoint==app.items[2])
					break;				
			}		
			}
		});
		System.out.println("DONE");
		
		
	}
}