
package com.ibm.abbot.tester.swt;

import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.internal.win32.*;

//import java.awt.Robot;
//import java.awt.event.InputEvent;

public class MenuNavTest {
	static Display display;
	static Shell shell;
	
	public static void main(String[] argv){
		display = new Display();
		shell = new Shell(display,SWT.SHELL_TRIM);
		shell.setLayout(new RowLayout(SWT.HORIZONTAL));
		shell.setLocation(0,0);
		
		Menu bar = new Menu(shell,SWT.BAR);
		shell.setMenuBar(bar);
		MenuItem file = new MenuItem(bar,SWT.CASCADE);
		file.setText("File");
		Menu menu = new Menu(shell,SWT.DROP_DOWN);
		file.setMenu(menu);
		MenuItem one = new MenuItem(menu,SWT.CHECK);
		one.setText("One");
		MenuItem two = new MenuItem(menu,SWT.CHECK);
		two.setText("Two");
		two.setData("name","Two");
		MenuItem  subMenuItem = new MenuItem(menu,SWT.CASCADE);
		subMenuItem.setText("Sub-Menu");
		Menu subMenu = new Menu(shell,SWT.DROP_DOWN);
		subMenuItem.setMenu(subMenu);	
		MenuItem sub1 = new MenuItem(subMenu,SWT.CHECK);
		sub1.setText("Sub1");
		final MenuItem sub2 = new MenuItem(subMenu,SWT.CHECK);
		sub2.setText("Sub2");
		sub2.setData("name","Sub2");
		
		shell.open();
	
		Robot robot = new Robot();
		//robot.keyPress(SWT.ALT);
		//robot.keyRelease(SWT.ALT);
		//while(display.readAndDispatch()){
		//	printMSG(display.msg);			
		//}
		//newWaitForIdle();
		//robot.key(SWT.ESC);
		//robot.waitForIdle();
		//robot.iconify(shell);
		//System.out.println(shell.getMenuBar().isVisible());	
		//System.out.println(file);	
		//System.out.println(shell.isFocusControl());	
		//System.out.println(shell.isVisible());	
		
		robot.selectMenuItem(sub2);
		Robot.waitForIdle();
		display.close();
		display.dispose();
		/*
		while(!shell.isDisposed()){
			if(!display.readAndDispatch())
				display.sleep();
		}
		*/
	
	}
	
	public static void newWaitForIdle(){
		Thread t = new Thread(){
			public void run(){
				Robot.waitForIdle();
			}			
		};
		t.setName("WaitForIdleThread");
		t.start();
		try{t.join(0);}
		catch(Exception e){
			e.printStackTrace();		
		}
	}
	
	public static void printMSG(MSG msg){
		System.out.println(	" hwnd: "+msg.hwnd+
							" lParam: "+msg.lParam+
							" message: "+msg.message+
							" time: "+msg.time+
							" wParam: "+msg.wParam+
							" Loc: ("+msg.x+","+msg.y+")"		
						   );	
	}
	
}
