package abbot;

/** Provide a tagging interface and storage for attempted exits from code
    under test.
*/
public class ExitException extends SecurityException {
    private int status;
    public ExitException(String msg, int status) {
        super(msg + " (" + status + ")");
        this.status = status;
    }
    public int getStatus() {
        return status;
    }
}
