package abbot.script;

/** This security manager extends sun.applet.AppletSecurity b/c
 * AppletViewer does some casts that assume that is the only security
 * manager that will be installed.  Note that this security manager permits
 * everything, and so isn't a reliable test of an applet responding well to
 * restricted permissions.
 */
// FIXME need to determine what causes the class circularity errors and then
// defer to the AppletSecurity
public class AppletSecurityManager extends sun.applet.AppletSecurity {

    SecurityManager parent;
    public AppletSecurityManager(SecurityManager sm) {
        parent = sm;
    }

    public void checkPermission(java.security.Permission perm,
                                Object context) {
        // This causes a class circularity error
        //super.checkPermission(perm, context);
    }
    public void checkPermission(java.security.Permission perm) {
        // This causes a class circularity error
        //super.checkPermission(perm);
    }

    public void checkExit(int status) {
        if (parent != null)
            parent.checkExit(status);
    }
}
