package abbot.tester.awt;

import java.awt.Component;

import javax.swing.AbstractButton;
import javax.swing.JButton;


public class AbstractButtonTester extends JComponentTester {

    public String deriveTag(Component comp) {
        AbstractButton absButton = ((AbstractButton)comp);
        String tag = stripHTML(absButton.getText());
        if ("".equals(tag) || tag == null) {
            tag = super.deriveTag(comp);  
        }
        return tag;
    }

    /** AbstractButton click action. */
    public void actionClick(final Component c) {
        if (getEventMode() == EM_PROG) {
            invokeAndWait(new Runnable() {
                public void run() {
                    ((JButton)c).doClick();
                }
            });
        }
        else /* EM_ROBOT */ {
            click(c);
            waitForIdle();
        }
    }
}
