package com.ibm.abbot.tester.swt;

/**
 * @author Kevin T Dale
 *
 * Used during development of abbot.swt.* to indicate when code is 
 * reached that is dependent on AWT in an undesirable way.  This 
 * includes use of:
 * 			- AWTEvent (when event_model==EM_AWT)
 */
public class AWTDependentCodeException  extends RuntimeException {
	public AWTDependentCodeException(String msg) { super(msg); }
	public AWTDependentCodeException(){}
}

