package example;

import junit.extensions.abbot.TestHelper;
import junit.framework.TestCase;
import abbot.script.Script;
import abbot.script.StepRunner;
//import junit.textui.TestRunner;
//import junit.ui.TestRunner;
//import junit.swingui.TestRunner;

/** Simple example of a stress test on an app. */
public class MyCodeStressTest extends TestCase {

    /** Name is the name of a script filename. */
    public MyCodeStressTest(String name) {
        super(name);
    }

    public void testLoop() throws Throwable {
        StepRunner runner = new StepRunner();
        Script script = new Script("src/example/StressMyCode.xml");
        MyCode.main(new String[] { });
        try {
            for (int i=0;i < 10;i++) {
                runner.run(script);
            }
        }
        finally {
            runner.terminate();
        }
    }

    public static void main(String[] args) {
        TestHelper.runTests(args, MyCodeStressTest.class);
    }
}
