package abbot.editor.editors;

import junit.extensions.abbot.TestHelper;
import junit.framework.Test;
import junit.framework.TestSuite;

/** 
    Full test suite for abbot.util.

    @author twall
*/

public class AllTests extends TestSuite {

    public AllTests(String name) {
        super(name);
    }

    /**
     * Assembles and returns a test suite.
     */
    public static Test suite() {
        TestSuite suite = new TestSuite();
        Class[] classes = {
            // Add new step editor test classes here
            CallEditorTest.class,
            AssertEditorTest.class,
            ActionEditorTest.class,
            EventEditorTest.class,
        };
        return TestHelper.generateSuite(classes);
    }

    /**
     * Runs the full test suite.
     */
    public static void main(String[] args) {
        TestHelper.runTests(args, AllTests.class);
    }
}
