package abbot.util;

import junit.extensions.abbot.TestHelper;
import junit.framework.Test;
import junit.framework.TestSuite;

/** 
    Full test suite for abbot.util.

    @author twall
*/

public class AllTests extends TestSuite {

    public AllTests(String name) {
        super(name);
    }

    /**
     * Assembles and returns a test suite.
     */
    public static Test suite() {
        TestSuite suite = new TestSuite();
        Class[] classes = {
            // Add new package classes here
            AWTTest.class,
            PathClassLoaderTest.class,
            PreloadingClassLoaderTest.class,
            AbstractEventExceptionHandlerTest.class,
        };
        // Misc framework tests
        return TestHelper.generateSuite(classes);
    }

    /**
     * Runs the full test suite.
     */
    public static void main(String[] args) {
        TestHelper.runTests(args, AllTests.class);
    }
}
