// NEVER FINISHED... TO COMPLEX FOR DEMO PURPOSES.  SEE CELSIUSCONVERTER

package com.ibm.abbot.examples;

import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.*;

/**
 * This is the sample app for the demo described at 
 * <url>http://www.sys-con.com/java/articleprint.cfm?id=1940</url> that
 * provides a means to convert Celsius temperatures to Fahrenheit.
 */
public class TemperatureConverter{
	public Shell shell;
	Button convertButton;
	Label fromValue,toValue,fromUnit,toUnit;
	Text tempCelsius;
	Shell unitSelector, precisionSelector;
	Combo from,to;
	
	float fromTemp = 0;
	float toTemp = 32;
	String[] units = {"Fahrenheit","Celsius","Kelvin"};
	int fromUnitIndex = 1;
	int toUnitIndex = 0;

	static int precision;
	
	/** Create the GUI and open it **/
	public TemperatureConverter(Display display){
		// setup the gui
		shell = new Shell(display,SWT.SHELL_TRIM);
		shell.setLayout(new RowLayout(SWT.HORIZONTAL));
		((RowLayout)shell.getLayout()).pack = false;
		shell.setText("Temperature Converter");
				
		Menu bar = createBarMenu();
		
		Group leftGroup = new Group(shell,SWT.CENTER);
		leftGroup.setData("name","leftGroup");
		leftGroup.setLayout(new RowLayout(SWT.VERTICAL));
		((RowLayout)leftGroup.getLayout()).pack = false;
		
		tempCelsius = new Text(leftGroup,SWT.BORDER|SWT.CENTER);
		tempCelsius.setData("name","tempCelsius");
		
		convertButton = new Button(leftGroup,SWT.PUSH);
		convertButton.setText("Convert");
		convertButton.setData("name","Convert");				
		convertButton.setSize(200,40);
		
		Group rightGroup = new Group(shell,SWT.LEFT);
		rightGroup.setLayout(new GridLayout(2,true));
		fromUnit = new Label(rightGroup,SWT.LEFT);
		fromUnit.setText(units[fromUnitIndex]);
		fromValue = new Label(rightGroup,SWT.LEFT);
		fromValue.setText("  "+fromTemp+"\u00B0");
		toUnit = new Label(rightGroup,SWT.LEFT);
		toUnit.setText(units[toUnitIndex]);
		toValue = new Label(rightGroup, SWT.LEFT);
		toValue.setText("  "+toTemp+"\u00B0");		
		
		shell.pack();
			
		// add listeners
		convertButton.addListener(SWT.Selection, new Listener(){
			public void handleEvent(Event e){
			
				try{
					fromTemp = Integer.parseInt(tempCelsius.getText());
				}
				catch(Exception ignored){
				}
				toTemp = 9*fromTemp/5 + 32;
				
				toValue.setText("  "+(toTemp)+"\u00B0" );
				fromValue.setText("  "+(fromTemp)+"\u00B0" );				
			}
			
		});	
		tempCelsius.addListener(SWT.KeyUp, new Listener(){
			public void handleEvent(Event e){
				if((e.keyCode&SWT.CR)==SWT.CR){
					try{
						fromTemp = Integer.parseInt(tempCelsius.getText());
					}
					catch(Exception ignored){
					}
					toTemp = 9*fromTemp/5 + 32;
				
					toValue.setText((toTemp)+"\u00B0" );
					fromValue.setText((fromTemp)+"\u00B0" );								
				}
			}
		});
				
		// open the shell	
		shell.open();
	}
	
	public Menu createBarMenu(){
		Menu bar = new Menu(shell,SWT.BAR);
		shell.setMenuBar(bar);
		MenuItem optionsItem = new MenuItem(bar,SWT.CASCADE);
		optionsItem.setText("Options");
		Menu dropDown = new Menu(shell,SWT.DROP_DOWN);
		optionsItem.setMenu(dropDown);
		MenuItem fromToItem = new MenuItem(dropDown,SWT.NONE);
		fromToItem.setText("From/To...");
		MenuItem precisionItem = new MenuItem(dropDown,SWT.NONE);
		precisionItem.setText("Precision...");	
		
		unitSelector = new Shell(shell,SWT.CLOSE);
		unitSelector.setText("From/To");
		unitSelector.setLayout(new GridLayout(2,true));
		Label fromL = new Label(unitSelector,SWT.LEFT);
		fromL.setText("From:");
		Label toL = new Label(unitSelector,SWT.LEFT);
		toL.setText("To:");
		from = new Combo(unitSelector,SWT.DROP_DOWN);
		from.setItems(units);
		from.pack();
		to = new Combo(unitSelector,SWT.DROP_DOWN);
		to.setItems(units);		
		to.pack();
		Button setButton = new Button(unitSelector,SWT.PUSH);
		setButton.setText("OK");
		unitSelector.pack();

		setButton.addListener(SWT.Selection, new Listener(){
			public void handleEvent(Event e){
				if(from.getSelectionIndex()!=-1 && to.getSelectionIndex()!=-1){
					fromUnitIndex = from.getSelectionIndex();
					toUnitIndex = to.getSelectionIndex();
					fromUnit.setText(units[fromUnitIndex]+":");
					toUnit.setText(units[toUnitIndex]+":");
				}
				unitSelector.setVisible(false);
			}
		});
			
		precisionSelector = new Shell(shell,SWT.CLOSE);
		precisionSelector.setText("Precision");
		precisionSelector.pack();
		
				
		
		
		fromToItem.addListener(SWT.Selection,new Listener(){
			public void handleEvent(Event e){
				unitSelector.open();
			}
		});
		precisionItem.addListener(SWT.Selection,new Listener(){
			public void handleEvent(Event e){
				precisionSelector.open();
			}
		});
		
		return bar;	
	}
	
	/** init the app and start the event-loop **/	
	public static void main(String[] argv){
		Display display = new Display();
		
		TemperatureConverter converter = new TemperatureConverter(display);
		
		while(!converter.shell.isDisposed()){
			if(!display.readAndDispatch())
				display.sleep();
		}	
		
		display.dispose();	
	}
}
